Key rotation Prepare (single/multi-chain auto-branching)
POST
/v1/wallet/keys/rotate/prepare
const url = 'https://api.parasta.io/v1/wallet/keys/rotate/prepare';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"newPublicKey":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.parasta.io/v1/wallet/keys/rotate/prepare \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "newPublicKey": "example" }'Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json
object
newPublicKey
required
string
Example generated
{ "newPublicKey": "example"}Responses
Section titled “ Responses ”OK
Media type application/json
object
signing
object
description
string
items
required
Array<object>
object
id
required
string
parameter
required
Time- and state-independent parameters of a signing slot.
One of two modes: on-chain signing (algorithm + keyUri + domain) or 2FA (authMethod).
object
algorithm
E.g.: ecdsa-secp256k1-keccak, eip191-personal-sign,
eip712-erc4337-userop-v1, eip712-erc4337-merkleroot-v1.
string
keyUri
string
domain
object
key
additional properties
any
authMethod
string
payload
Present only for on-chain signing slots. Empty for 2FA slots.
string
affectedNetworks
Array<string>
operations
EVM-only. AA SmartAccount key rotation is scoped to EVM families; key management for non-EVM families (e.g. Solana) will be specified once AA on those chains is finalized.
Array<object>
object
networkId
string
caip2
string
userOpHash
string
Example
{ "signing": { "items": [ { "parameter": { "algorithm": "ecdsa-secp256k1-keccak", "authMethod": "passkey" } } ] }}